﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Telerik.Windows.Controls;

namespace CustomSizeOfTileViewItems
{
    public class MyViewModel : INotifyPropertyChanged
    {
        public string Header { get; set; }
        public string Content { get; set; }
       
        private ContentState _contentState;

        public ContentState ContentState
        {
            get
            {
                return this._contentState;
            }
            set
            {
                if (this._contentState != value)
                {
                    this._contentState = value;
                    OnPropertyChanged("ContentState");
                }
            }
        }    

        public static IList<object> GenerateItems()
        {
            var result = new ObservableCollection<object>();
            foreach (var num in Enumerable.Range(1, 50))
            {
                result.Add(new MyViewModel() { Header = String.Format("Item {0}", num), ContentState = ContentState.NormalContent, Content = String.Format("Content {0}", num) });
           }
            return result;
        }



        public event PropertyChangedEventHandler PropertyChanged;

        protected virtual void OnPropertyChanged(String propertyName)
        {
            if (PropertyChanged != null)
            {
                PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
            }
        }   

    }

    public enum ContentState
    {
        SmallContent = 1,
        NormalContent = 0,
        LargeContent = 2
    }
}
